/*
 DigitalReadSerial
 Nyomógomb és soros port
 Kiolvassa a digitális 2 pinből az adatot, amit bemenetnek használ, és az eredményt kiírja a serial monitoron. -
 */

// digitális 2 pinbe egy nyomógombot csatlakoztatunk
// és elnevezzük:
int pushButton = 2;

// a setup rutin egyszer fut le, ha megnyomjuk a reset gombot:
void setup() {
	// inicializáljuk a soros kommunikációt 9600 bit/mp-en:
	Serial.begin(9600);
	// pushbutton nevű pint bemenetként meghatározzuk:
	pinMode(pushButton, INPUT);
}

// a loop rutin folyamatosan fut, mindig elölről kezdi:
void loop() {
	// kiolvassuk a bemeneti pint:
	int buttonState = digitalRead(pushButton);
	// kiírjuk a gomb állapotát serial monitoron:
	Serial.println(buttonState);
	// várakozás a kiolvasások között,
        // hogy stabilabban működjön:
        delay(1);  
}

